# SPDX-FileCopyrightText: 2023 Siemens AG
# SPDX-License-Identifier: Apache-2.0

apiVersion: qos-scheduler.siemens.com/v1alpha1
kind: NetworkTopology
metadata:
   name: sampletopology
   namespace: network-l2sm-namespace
spec:
   physicalBase: K8S
   networkImplementation: 'L2SM'
   nodes:
      - name: c1
        type: "COMPUTE"
      - name: c2
        type: "COMPUTE"
      - name: kind-control-plane
        type: "COMPUTE"
# you can add network nodes (that are not compute/worker nodes)
#      - name: my-own-switch
#        type: "NETWORK"
   links:
      - name: link12
        source: c1
        target: c2
        capabilities:
           bandWidthBits: "100M" # unit: bit/s, default: 1Gbit/s
           latencyNanos: "200e-6" # unit: seconds, default: 100µs
      - name: link21
        source: c2
        target: c1
      - name: link1cp
        source: c1
        target: kind-control-plane
        capabilities:
           bandWidthBits: "10M" # unit: bit/s, default: 1Gbit/s
           latencyNanos: "500e-6" # unit: seconds, default: 100µs
      - name: linkcp1
        source: kind-control-plane
        target: c1
        capabilities:
           bandWidthBits: "10M" # unit: bit/s, default: 1Gbit/s
           latencyNanos: "500e-6" # unit: seconds, default: 100µs
      # we need also specify looback links for channels between 
      # workloads on the same node
      - name: link11
        source: c1
        target: c1
      - name: link22
        source: c2
        target: c2
      - source: kind-control-plane
        target: kind-control-plane

